Show / Hide Table of Contents

# Struct AgentModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentModule

### Fields

| Improve this Doc View Source

#### AgentArray

##### Declaration

    public AgentInterface*AgentArray

##### Field Value

Type | Description
--- | ---
AgentInterface* |

| Improve this Doc View Source

#### AgentModulePtr

##### Declaration

    public AgentModule*AgentModulePtr

##### Field Value

Type | Description
--- | ---
AgentModule* |

| Improve this Doc View Source

#### FrameCounter

##### Declaration

    public uint FrameCounter

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FrameDelta

##### Declaration

    public float FrameDelta

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Initialized

##### Declaration

    public byte Initialized

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RaptureHotbarModulePtr

##### Declaration

    public RaptureHotbarModule*RaptureHotbarModulePtr

##### Field Value

Type | Description
--- | ---
RaptureHotbarModule* |

| Improve this Doc View Source

#### UIModule

##### Declaration

    public UIModule*UIModule

##### Field Value

Type | Description
--- | ---
UIModule* |

| Improve this Doc View Source

#### UIModulePtr

##### Declaration

    public UIModule*UIModulePtr

##### Field Value

Type | Description
--- | ---
UIModule* |

| Improve this Doc View Source

#### Unk_11

##### Declaration

    public byte Unk_11

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### GetAgentByInternalId(AgentId)

##### Declaration

    public AgentInterface*GetAgentByInternalId(AgentId agentId)

##### Parameters

Type | Name | Description
--- | --- | ---
AgentId | agentId |

##### Returns

Type | Description
--- | ---
AgentInterface* |

| Improve this Doc View Source

#### GetAgentByInternalID(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 83 FF 0D")]
    public AgentInterface*GetAgentByInternalID(uint agentID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | agentID |

##### Returns

Type | Description
--- | ---
AgentInterface* |

| Improve this Doc View Source

#### GetAgentHUD()

##### Declaration

    public AgentHUD*GetAgentHUD()

##### Returns

Type | Description
--- | ---
AgentHUD* |

| Improve this Doc View Source

#### GetAgentHudLayout()

##### Declaration

    public AgentHudLayout*GetAgentHudLayout()

##### Returns

Type | Description
--- | ---
AgentHudLayout* |

| Improve this Doc View Source

#### GetAgentItemSearch()

##### Declaration

    public AgentItemSearch*GetAgentItemSearch()

##### Returns

Type | Description
--- | ---
AgentItemSearch* |

| Improve this Doc View Source

#### GetAgentLobby()

##### Declaration

    public AgentLobby*GetAgentLobby()

##### Returns

Type | Description
--- | ---
AgentLobby* |

| Improve this Doc View Source

#### GetAgentMap()

##### Declaration

    public AgentMap*GetAgentMap()

##### Returns

Type | Description
--- | ---
AgentMap* |

| Improve this Doc View Source

#### GetAgentRetainerList()

##### Declaration

    public AgentRetainerList*GetAgentRetainerList()

##### Returns

Type | Description
--- | ---
AgentRetainerList* |

| Improve this Doc View Source

#### GetAgentRevive()

##### Declaration

    public AgentRevive*GetAgentRevive()

##### Returns

Type | Description
--- | ---
AgentRevive* |

| Improve this Doc View Source

#### GetAgentScreenLog()

##### Declaration

    public AgentScreenLog*GetAgentScreenLog()

##### Returns

Type | Description
--- | ---
AgentScreenLog* |

| Improve this Doc View Source

#### GetAgentTeleport()

##### Declaration

    public AgentTeleport*GetAgentTeleport()

##### Returns

Type | Description
--- | ---
AgentTeleport* |